#pragma once
#include "afxwin.h"

#define WM_AUTOPAGE_INFO         WM_USER + 1000

// CSetIntervalDlg dialog

class CSetIntervalDlg : public CDialog
{
	DECLARE_DYNAMIC(CSetIntervalDlg)

public:
	CSetIntervalDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CSetIntervalDlg();

    //void InitData(BOOL bIsSetup, int iInterval);
    BOOL IsSetup() { return m_bIsSetup; };
    int GetInterval() { return m_iInterval; };

// Dialog Data
	enum { IDD = IDD_SET_INTERVAL };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

    DECLARE_MESSAGE_MAP()

public:
    afx_msg void OnBnClickedOk();
    afx_msg void OnBnClickedCheckSetup();

public:
    afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);

private:
    BOOL m_bIsSetup;
    int m_iInterval;
    CButton m_checkSetup;
    CEdit m_editInterval;
};
